//  prop_auto.h
//
//	YV12 to YUY2 converter PropertyPages
//
//	Copyright (c) 2005 N099
//
#ifndef __PROP_AUTO_H__
#define __PROP_AUTO_H__

interface IHWDeint;

class CHWDeintProp_AUTO : public CBasePropertyPage
{
private:
	IHWDeint *m_pHWDeint;
	CFG_AUTO  m_ad_cfg;
	CFG_AUTO  m_new_cfg;
	int   m_sse;
	void SetDirty(void);

public:
	static CUnknown * WINAPI CreateInstance(LPUNKNOWN lpunk, HRESULT * phr);

	CHWDeintProp_AUTO(LPUNKNOWN pUnk);

	HRESULT OnConnect(IUnknown *pUnk);
	HRESULT OnActivate(void);
	BOOL OnReceiveMessage(HWND hwnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
	HRESULT OnApplyChanges(void);
	HRESULT OnDisconnect(void);
};




#endif /* __PROP_AUTO_H__ */
